GET /api/v202510/energymanager/chat

Retrieves all VEM chats created by the user making the request. It filters out inactive/deleted chats. It requires the 'VirtualEnergyManager' feature flag to be enabled for the user.

GetUserChatsV202510

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

VemChatResponseV202510
Property Description Type
createdDate Date/time offset representing when VEM chat was created string (date-time)
vemChatId The identifier for the VEM chat integer (int32)
vemChatInfo VEM Chat name / chat title string
Example Response application/json
[
  {    "createdDate": "2026-03-30",    "vemChatId": 1,    "vemChatInfo": "string"
  }
]